Subject: bug#9848: libtool bootstrap fails with Solaris /bin/sh

From: "Gary V. Vaughan" <[email-masked]>
Date: Sun, 23 Oct 2011 23:28:17 +0700

Hi Bob,

On 23 Oct 2011, at 23:19, Bob Friesenhahn wrote:

> I notice that the new libtool bootstrap script immediately fails under Solaris 10 with the default /bin/sh but does not immediately blow up with /usr/xpg4/bin/sh or bash (3.2.51).

I didn't really make much effort at all for the bootstrap script to work on brain-damaged shells like Solaris /bin/sh (though, I'll be happy to patch it to work there if it doesn't obfuscate or uglify the code), on the assumption that anyone planning to bootstrap libtool from git will have a sane development environment... I didn't test extensively on vendor shells, but bootstrap seems to work correctly on Arch Linux (bash-4.2), Mac OS 10.6 (bash-3.2) and Mac OS 10.7 (zsh-4.3) -- the environments I developed it in.

Once the thing finally makes it into gnulib, there will be many many more eyes on it, and I'm sure any existing niggles with common dev environments will be fixed in short order.

Cheers,
-- 
Gary V. Vaughan (gary AT gnu DOT org)